# Created by pyp2rpm-1.1.2
%global pypi_name pyaml
%global with_python3 1

Name:           python-pyaml
Version:        18.11.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        PyYAML-based module to produce pretty and readable YAML-serialized data

License:        Public Domain
URL:            https://github.com/mk-fg/pretty-yaml
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # if with_python3

Requires:       python-yaml
Provides:       python-pyyaml = %version-%release

%description
YAML is generally nice and easy format to read *if* it was written by
humans.

PyYAML can a do fairly decent job of making stuff readable, and the
best combination of parameters for such output that I've seen so far.

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        PyYAML-based module to produce pretty and readable YAML-serialized data
Requires:       python3-yaml
Provides:       python3-pyyaml = %version-%release


%description -n python3-%{pypi_name}
YAML is generally nice and easy format to read *if* it was written by
humans.

PyYAML can a do fairly decent job of making stuff readable, and the
best combination of parameters for such output that I've seen so far.
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%py2_build

%if 0%{?with_python3}
pushd %{py3dir}
%py3_build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%endif # with_python3



%changelog
* Thu Mar 17 2022 TerryN <terryn94 at gmail.com> 18.11.0-2pclos2022
- rebuild for python 3.10

* Wed Jan 09 2019 tex - 18.11.0-1pclos2019
- new
